# IEEE_access_deep_learning_network_planner

Code for the paper:

**"A Deep Learning Network Planner:
Propagation Modeling using Real-World
Measurements and a 3D City Model."**

submitted for publication in IEEE Access.

It includes all the necessary code and data to reproduce the presented network planning scenarios.
Thus, it also includes the models trained on the extensive drive-test campaign. 
Interested researchers are invited to also deploy them in other settings.

# Preparing the Repository

In order to run the scenarios it is required to download the exemplary environments using the following [link](https://owncloud.tuwien.ac.at/index.php/s/APFp9z2YCPFVb2D). 
The obtained `environment/` folder with all contained files has to be stored on the base level alongside `helpers/`, `scenarios/` and `trained_models/`.

# Running the Scenarios

The `main` function in `run_scenario.py` runs all scenarios defined in the `scenarios/` folder. 
Each scenario contains a `config.json` file where parameters such as the height of the base station `h_bs`, the horizontal `phi_sec_h` and vertical `phi_sec_v` sector orientation as well as transmit power and frequence can be adapted. 
